org.eclipse.ecf.osgi.services.remoteserviceadmin

## Class EndpointDescriptionParseException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.eclipse.ecf.osgi.services.remoteserviceadmin.EndpointDescriptionParseException

All Implemented Interfaces:
  Serializable

    public class EndpointDescriptionParseException
    extends Exception

Exception class to represent endpoint description parse problems when performed by `IEndpointDescriptionReader`.

See Also:
  `IEndpointDescriptionReader.readEndpointDescriptions(java.io.InputStream)`, Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`EndpointDescriptionParseException()`
`EndpointDescriptionParseException(String message)`
`EndpointDescriptionParseException(String message, Throwable cause)`
`EndpointDescriptionParseException(Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### EndpointDescriptionParseException

    public EndpointDescriptionParseException()

#### EndpointDescriptionParseException

    public EndpointDescriptionParseException(String message)

#### EndpointDescriptionParseException

    public EndpointDescriptionParseException(Throwable cause)

#### EndpointDescriptionParseException

    public EndpointDescriptionParseException(String message,
                                             Throwable cause)